################################################################################
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		flac
Version:	1.2.1
Release:	2
Provides:	%{name}
License:	GPL
URL:		http://flac.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Patch0:		flac-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	FLAC is an audio CODEC similar to MP3, but lossless, meaning that audio is compressed without losing any information.
BuildRequires:  zlib-devel 
BuildRequires:  nasm 
BuildRequires:  gawk 
BuildRequires:  doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gtk+-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libogg-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: pkg-config
BuildRequires: xmms-devel

%description
FLAC is an audio CODEC similar to MP3, but lossless, meaning that audio is compressed without losing any information.

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package xmms-input-plugin
Summary: 	%{name}-xmms-plugin.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}
Requires:       xmms

%description xmms-input-plugin
flac-xmms-input-plugin is a input library for xmms.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
%patch0 -p1 

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--enable-shared \
				--enable-ogg \
				--enable-sse \
				--enable-3dnow \
				--disable-debug \
				--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/libFLAC++.so.*
%{_libdir}/libFLAC.so.*
%{_mandir}/man1/flac.1.gz
%{_mandir}/man1/metaflac.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/FLAC
%{_includedir}/FLAC++
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC++.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC.so
%{_libdir}/libFLAC++.so
%{_docdir}/flac-%{version}
%{_pkgconfig}/flac.pc
%{_pkgconfig}/flac++.pc
%{_aclocal}/libFLAC.m4
%{_aclocal}/libFLAC++.m4

%files xmms-input-plugin
%defattr(-,root,root)
%{_libdir}/xmms/Input/libxmms-flac.la
%{_libdir}/xmms/Input/libxmms-flac.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-2
- rebuilt
* Sun Oct 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- removed fake provides
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Mon Jun 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-4
- adding xmms-plugin-patch, fixed BUG #0000086
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-3
- seperating docs and xmms-input-plugin
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.2-2
- Removed compatibility links, moved static files to devel package
* Thu Jun 16 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.1.2-1
- Update to 1.1.2
* Tue Jun 15 2004 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Initial Release
